=== debian/changelog ===
ros-noetic-catch-ros (0.5.0-2focal) focal; urgency=high

  * Update Catch to version v2.13.7 (PR #15)
  * Update CMakeLists.txt to pass catkin_lint (PR #14)
  * Contributors: Jorge Nicho, Martin Jansa, Max Schwarz, augustinmanecy, sven-herrmann

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Thu, 19 Aug 2021 22:00:00 -0000

ros-noetic-catch-ros (0.4.0-2focal) focal; urgency=high

  * cmake: increase minimum version to 3.4 to silence CMP0048 warning
  * rostest_main: handle weird rostest behavior on retries
  * [reporter] makes tests and failure from test-cases instead of assertions
  * Contributors: Max Schwarz, Naveed Usmani

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Wed, 27 May 2020 22:00:00 -0000

ros-noetic-catch-ros (0.3.0-2focal) focal; urgency=high

  * cmake: catch_add_rostest() add new target as dependency of 'tests' target
    (issue: #8, PR: #9)
  * README.md: add CATCH_CONFIG_MAIN hint (issue: #7)
  * README: update link to the catch repo
  * updated catch to 2.4.2 (PR: #6)
  * ros_junit_reporter: fix warnings
  * Contributors: Max Schwarz, Mez Gebre

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Tue, 01 Jan 2019 23:00:00 -0000

ros-noetic-catch-ros (0.2.0-2focal) focal; urgency=high

  * adapt ROSReporter to Catch2
  * upgrade to Catch v2.2.2
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Mon, 07 May 2018 22:00:00 -0000

ros-noetic-catch-ros (0.1.2-2focal) focal; urgency=high

  * cmake: fix meta_info.cpp compilation for install space
  * rostest_main: include ROS node name in report
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Thu, 02 Nov 2017 23:00:00 -0000

ros-noetic-catch-ros (0.1.1-2focal) focal; urgency=high

  * actually install header files
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Tue, 25 Oct 2016 22:00:00 -0000

ros-noetic-catch-ros (0.1.0-2focal) focal; urgency=high

  * initial proper release
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Tue, 25 Oct 2016 22:00:00 -0000
